package com.brilliance.isc.swift.objmtconvert.model.mt4xx.tag.tag416;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt4xx.mt4XXAbsCreator.MT416AbsCreator;

public class Tag23EBCreator extends AbsTagCreate {

    private MT416AbsCreator mt416SequenceBCreator;

    public Tag23EBCreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        this.mt416SequenceBCreator= (MT416AbsCreator) absMTCreator;
    }

    public void creator() {
        String tag23Value = mt416SequenceBCreator.getAdviceType();
        mt416SequenceBCreator.set("23E", tag23Value);
    }
}
